Bug 964685 - [RFE] RHEVM-CLI: Add support for actions under collections
[RFE] RHEVM-CLI: Add support for actions under collections
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-cli (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.6.0
Assigned To: Juan Hernández
Shai Revivo
infra
: FutureFeature, Reopened, TestBlocker
Depends On:
Blocks: 1044064 1094012
  Show dependency treegraph
 
Reported: 2013-05-19 10:15 EDT by Michael Pasternak
Modified: 2016-02-10 14:05 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-09 09:20:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Pasternak 2013-05-19 10:15:01 EDT
Description of problem:

only use-case for this today is a setupnetwork action that under hostnics collection
Comment 11 lpeer 2013-11-20 07:25:27 EST
The setupNetwork is the main API for configuring networks today. new features are being added to this API alone.

I agree with Meni that the fact that this is not supported in the CLI is a real issue for QE and should be handled ASAP.


Michael, I see your point of setupNetwrok being a complicated API and we should handle that as well but this is a different discussion.
Comment 12 Michael Pasternak 2013-11-20 07:39:04 EST
(In reply to lpeer from comment #11)
> The setupNetwork is the main API for configuring networks today. new
> features are being added to this API alone.
> 
> I agree with Meni that the fact that this is not supported in the CLI is a
> real issue for QE and should be handled ASAP.

this is why it was planned for 3.4, but i'm afraid in may not converge
because of capacity of required change,

in meanwhile, QE can test /setupnetworks via UI, API and SDKs. 

> 
> 
> Michael, I see your point of setupNetwrok being a complicated API and we
> should handle that as well but this is a different discussion.
Comment 16 Itamar Heim 2014-06-16 11:29:13 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Comment 17 Nir Yechiel 2014-06-19 09:15:09 EDT
I am reopening this one as it still needed for network QE.
Comment 18 Juan Hernández 2014-09-09 09:20:56 EDT
The only reason to support collection actions is "setupnetworks" and it is going to be deprecated in 3.6 and replaced by a plain entity action:

  http://www.ovirt.org/Features/HostNetworkingApi#What_should_be_deprecated.3F

So it doesn't make sense to implement support for this in the CLI.

Note You need to log in before you can comment on or make changes to this bug.